Subject: Re: IP address autoconfiguration

From: Scott Johnson <[email-masked]>
Date: Mon, 14 Feb 2000 15:39:37 -0800 (PST)

In addition, this would leave networks wide open to IP
spoofing attacks, such as if one terminal(IP address)
powers down, disconnects, or has his signal cancelled
due to short range broadcast of network signal 180
degrees out of phase(a repeater station operating out
of phase) another terminal could seize (duplicate)the
authentication of the the first terminal, appearing to
the network as simply hopping from one node to
another, therby gaining network access under a spoofed
IP, creating a serious security breach.

--- Miguel Sanchez <[email-masked]> wrote:
> Hi,
> 
> What we want is automatic IP configuration of
> network nodes. Don't we?
> However, just a challenge/response to determine if a
> randomly generated
> IP address (in the proper range, I'm not suing
> anybody :) can only be
> successful if we can guarantee that ad-hoc network
> is not partition at
> the moment you send the RREQ for cheching nobody is
> using this new
> address.
> 
> So I think this could be a risky approach that could
> lead, sometimes, to
> duplicate addresses.
> 
> However,  I don't have a better idea.
> 
> Kind regards,
> 
> Miguel Sanchez
> 
> "Charles E. Perkins" wrote:
> 
> > Hello,
> >
> > The subject of address autoconfiguration has come
> up in the past
> > on this mailing list.  I am wondering whether
> there would be any
> > problem with using the zerconf approach, of just
> having a node
> > pick at random an address from the class B network
> prefix 169.254/16
> > (don't sue me if that's not exactly the right
> number, I don't have
> > the document here).  The node would, of course,
> have to check that
> > no one was using the address, but that could be
> done by the simple
> > method of sending a RREQ for the randomly chosen
> IP address.
> >
> > In general, I think that RREQ/RREP replaces ARP in
> ad hoc
> > networks (at least it should with AODV).  And,
> similarly, it
> > should replace DAD (Duplicate Address Detection)
> for IPv6
> > ad hoc networks.
> >
> > Unless there is some problem with this, I will
> write this up
> > as an explicit provision for AODV.  It seems
> almost trivial,
> > as long as we don't go into security or DNS update
> issues.
> >
> > Regards,
> > Charlie P.
> 
> --
> Miguel Sanchez Lopez                            |   
>    [email-masked]
> Universidad Politecnica de Valencia             |
> voice:+3496 387 9700
> Camino de Vera, 14                              |
> fax:  +3496 387 7579
> 46071 VALENCIA (Spain)                          |
> 
> 
> 
> 
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com